__gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc > Class Template Reference

## Public Types

typedef std::size_t | metadata_type

## Protected Member Functions

| sample_trie_node_update ()
void | operator() (node_iterator, node_const_iterator) const

## Detailed Description

### template<typename Node_CItr, typename Node_Itr, typename _ATraits, typename _Alloc>
class __gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >

A sample node updator.

Definition at line 49 of file sample_trie_node_update.hpp.

## Constructor & Destructor Documentation

template<typename Node_CItr , typename Node_Itr , typename _ATraits , typename _Alloc >

__gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >::sample_trie_node_update | ( |  | ) |

protected

Default constructor.

## Member Function Documentation

template<typename Node_CItr , typename Node_Itr , typename _ATraits , typename _Alloc >

void __gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >::operator() | ( | node_iterator | ,
|  | node_const_iterator |
| ) |  | const

inlineprotected

Updates the rank of a node through a node_iterator node_it; end_nd_it is the end node iterator.

The documentation for this class was generated from the following file:

- sample_trie_node_update.hpp